org.apache.tomcat.websocket

## Class WsFrameBase

- java.lang.Object
- - org.apache.tomcat.websocket.WsFrameBase

Direct Known Subclasses:
  WsFrameClient, WsFrameServer

    public abstract class WsFrameBase
    extends Object

Takes the ServletInputStream, processes the WebSocket frames it contains and extracts the messages. WebSocket Pings received will be responded to automatically without any action required by the application.

### Field Summary

Fields
`protected byte[]` `inputBuffer`
`protected int` `writePos`
`protected WsSession` `wsSession`

### Constructor Summary

Constructors
Constructor and Description
`WsFrameBase(WsSession wsSession)`

### Method Summary

Methods
`protected static long` `byteArrayToLong(byte[] b, int start, int len)`
`protected abstract boolean` `isMasked()`
`protected boolean` `isOpen()`
`protected void` `processInputBuffer()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### wsSession

    protected final WsSession wsSession

#### inputBuffer

    protected final byte[] inputBuffer

#### writePos

    protected int writePos

### Constructor Detail

#### WsFrameBase

    public WsFrameBase(WsSession wsSession)

### Method Detail

#### processInputBuffer

    protected void processInputBuffer()
                               throws IOException

Throws:
  `IOException`

#### isMasked

    protected abstract boolean isMasked()

#### byteArrayToLong

    protected static long byteArrayToLong(byte[] b,
                       int start,
                       int len)
                                   throws IOException

Throws:
  `IOException`

#### isOpen

    protected boolean isOpen()